Skip to main content
GET
/
v1
/
eligibility
/
batches
List Batches
curl --request GET \
  --url https://api.example.com/v1/eligibility/batches \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "status": "pending",
      "total_count": 123,
      "created_at": "2023-11-07T05:31:56Z",
      "active_count": 0,
      "inactive_count": 0,
      "failed_count": 0,
      "pending_count": 0
    }
  ],
  "pagination": {
    "total": 123,
    "page": 123,
    "limit": 123,
    "has_more": true
  }
}

Authorizations

X-API-Key
string
header
required

Query Parameters

page
integer
default:1

Page number (1-based)

Required range: x >= 1
limit
integer
default:20

Items per page

Required range: 1 <= x <= 100
status
enum<string> | null

Filter by status Batch eligibility status enum matching Prisma BatchStatus

Available options:
pending,
validated,
validation_failed,
in_progress,
completed,
completed_with_errors

Response

Successful Response

Response for GET batches list endpoint

data
BatchEligibilityListItem · object[]
required

List of batches

pagination
BatchEligibilityListPagination · object
required

Pagination info